Subject: Re: [PATCH net v3 1/1] igc: read before write to SRRCTL register

From: Jakub Kicinski <[email-masked]>
Date: Mon, 17 Apr 2023 11:50:03 -0700

On Mon, 17 Apr 2023 02:53:13 +0000 Zulkifli, Muhammad Husaini wrote:
> Are you observing similar issue like below?
> ptp4l: timed out while polling for tx timestamp
> ptp4l: increasing tx_timestamp_timeout may correct this issue
> 
> If yes, only TXSTAMPO register is used for both PTP and non-PTP packets in 
> the current driver code. There is a possibility that the time stamp 
> for a PTP packet will be lost when there is a lot of traffic when multiple 
> applications request for hardware transmission timestamps. 
> Few months back, I submitted a patch series to enable the DMA 
> Timestamp for non-ptp packet which can resolve the above issue.
> https://lore.kernel.org/netdev/[email-masked]/T/
> Will continuing back the activity soon.

FWIW the work on selecting the source of the timestamp is progressing
slowly:

https://lore.kernel.org/all/[email-masked]/